% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getCRUCLdata.R
\docType{package}
\name{getCRUCLdata}
\alias{getCRUCLdata}
\alias{getCRUCLdata-package}
\title{getCRUCLdata: Download and Create a Data Frame or Raster Stack Object of CRU CL v. 2.0 Climatology Variables}
\description{
The \pkg{getCRUCLdata} package provides functions that automate downloading
and importing \code{CRU} \code{CL} v. 2.0 climatology data, facilitates the
calculation of minimum temperature and maximum temperature, converts
elevation from kilometres to metres and formats the data into a tidy data
frame or a list of \code{\link[raster]{stack}} objects for use.
\acronym{CRU} \acronym{CL} v. 2.0 data are a gridded climatology of 1961-1990
monthly means released in 2002 and cover all land areas (excluding
Antarctica) at 10 arcminutes (0.1666667 degree) resolution.  For more
information see the description of the data provided by the University of
East Anglia Climate Research Unit (\acronym{CRU}),
\url{https://crudata.uea.ac.uk/cru/data/hrg/tmc/readme.txt}.
}
\references{
\url{https://crudata.uea.ac.uk/cru/data/hrg/tmc/}

New, M., Lister, D., Hulme, M. and Makin, I., 2002: A high-resolution data
set of surface climate over global land areas. \emph{Climate Research}
\bold{21}:1-25
(\href{https://crudata.uea.ac.uk/cru/data/hrg/tmc/}{abstract},
\href{http://www.int-res.com/articles/cr2002/21/c021p001.pdf}{paper})
}
\seealso{
\code{\link{create_CRU_df}}

\code{\link{create_CRU_stack}}

\strong{Useful links:}
 \itemize{
 \item{Development repository: \url{https://github.com/ropensci/getCRUCLdata}}
 \item{Static documentation: \url{https://docs.ropensci.org/getCRUCLdata/}}
 \item{Report bugs at: \url{https://github.com/ropensci/getCRUCLdata/issues}}
}
}
\author{
Adam H. Sparks, \email{adamhsparks@gmail.com}
}
